Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# ActorControl Class Reference

List of all members.

## Public Member Functions
def | __init__
def | disableControl
def | displayFrameCounts
def | displaySeconds
def | enableControl
def | goTo
def | goToF
def | goToT
def | nextFrame
def | play
def | previousFrame
def | resetToEnd
def | resetToZero
def | selectAnimNamed
def | setOffset
def | setPlayRate
def | updateDisplay
## Public Attributes
| animMenu
| currT
| duration
| fOneShot
| fps
| frameActiveVar
| frameControl
| fScaleCommand
| maxFrame
| maxLabel
| maxSeconds
| minLabel
| offset
| playRate
| unitsVar

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | parent = `None`,
|  |  | kw
| ) |  |

## Member Function Documentation

def disableControl | ( |  | self | ) |

def displayFrameCounts | ( |  | self | ) |

def displaySeconds | ( |  | self | ) |

def enableControl | ( |  | self | ) |

def goTo | ( |  | self,
|  |  | t
| ) |  |

def goToF | ( |  | self,
|  |  | f
| ) |  |

def goToT | ( |  | self,
|  |  | t
| ) |  |

def nextFrame | ( |  | self | ) |

    There needed to be a better way to select an exact frame number
    as the control slider doesn't have the desired resolution

def play | ( |  | self,
|  |  | deltaT,
|  |  | fLoop
| ) |  |

def previousFrame | ( |  | self | ) |

    There needed to be a better way to select an exact frame number
    as the control slider doesn't have the desired resolution

def resetToEnd | ( |  | self | ) |

def resetToZero | ( |  | self | ) |

def selectAnimNamed | ( |  | self,
|  |  | name
| ) |  |

def setOffset | ( |  | self | ) |

def setPlayRate | ( |  | self,
|  |  | rate
| ) |  |

def updateDisplay | ( |  | self | ) |

## Member Data Documentation

animMenu

currT

duration

fOneShot

fps

frameActiveVar

frameControl

fScaleCommand

maxFrame

maxLabel

maxSeconds

minLabel

offset

playRate

unitsVar

All Classes Namespaces Functions Variables Enumerations Enumerator Properties